메인 콘텐츠로 건너뛰기
PATCH
/
admin
/
store
스토어 설정 수정
curl --request PATCH \
  --url https://api.headlesscommerce.io/v1/admin/store \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "currency": "<string>",
  "timezone": "<string>",
  "prices_include_tax": true,
  "tax_rate": 123,
  "metadata": {}
}
'
{
  "id": "<string>",
  "name": "<string>",
  "currency": "<string>",
  "timezone": "<string>",
  "prices_include_tax": true,
  "tax_rate": 123,
  "metadata": {}
}

인증

Authorization
string
header
필수

API Key. Example: sk_live_xxxxx or pk_live_xxxxx

본문

application/json

Update store settings. Currency can only be changed in the initial state with no product/order data. Returns 409 Conflict if products/orders exist when changing currency.

name
string
currency
string

ISO 4217. Cannot be changed if product/order data exists

timezone
string
prices_include_tax
boolean
tax_rate
integer
metadata
object

응답

200 - application/json

성공

id
string
name
string
currency
string
timezone
string
prices_include_tax
boolean
tax_rate
integer

basis points. 1000 = 10%

metadata
object